/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <nostalgia/studio/studio.hpp>

#include "consts.hpp"

namespace nostalgia::core {

constexpr auto TileSheetName = "tilesheetName";
constexpr auto ImportPath = "importPath";
constexpr auto Palette = "palette";
constexpr auto PaletteName = "paletteName";

class ImportTilesheetWizardMainPage: public studio::WizardFormPage {
	private:
		//static constexpr auto BPP = "bpp";
		const studio::Context *m_ctx = nullptr;

	public:
		ImportTilesheetWizardMainPage(const studio::Context *args);
};

class ImportTilesheetWizardPalettePage: public studio::WizardFormPage {
	private:
		//static constexpr auto BPP = "bpp";
		const studio::Context *m_ctx = nullptr;

	public:
		ImportTilesheetWizardPalettePage(const studio::Context *args);

		int accept();
};

}
