/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <ox/std/memory.hpp>

#include <nostalgia/core/studio/module.hpp>

namespace nostalgia {

[[maybe_unused]] // GCC warns about the existence of this "unused" constexpr list in a header file...
constexpr auto BuiltinModules = {
	[] {
		 return ox::make_unique<core::Module>();
	},
};

}